<?php

/**
 * @file
 * W3CSS Theme.theme.
 *
 * Filename:     drupal8_w3css_theme.theme
 * Website:      http://www.flashwebcenter.com
 * Description:  template
 * Author:       Alaa Haddad http://www.alaahaddad.com.
 */

/**
 * The theme settings.
 */

$form['drupal8_w3css_theme_settings']['w3_external_libraries'] = [
  '#type' => 'details',
  '#title' => t('Google Fonts and Font awesome - W3CSS Theme'),
  '#collapsible' => TRUE,
  '#collapsed' => FALSE,
  '#description'   => t('<p>Choose the fonts and load it locally. The default for all libraries to load from Google.</p>'),
];
$form['drupal8_w3css_theme_settings']['w3_external_libraries']['d8w3css_font_awesome_4'] = [
  '#type' => 'checkbox',
  '#title' => t('Load font awesome 4.7 locally. This is for use with the W3CSS Theme'),
  '#default_value' => theme_get_setting('d8w3css_font_awesome_4'),
];

$form['drupal8_w3css_theme_settings']['w3_external_libraries']['d8w3css_google_font_local'] = [
  '#type' => 'checkbox',
  '#title' => t('Load Google fonts locally. This is for use with the W3CSS Theme'),
  '#default_value' => theme_get_setting('d8w3css_google_font_local'),
];

$form['drupal8_w3css_theme_settings']['w3_external_libraries']['d8w3css_site_gf'] = [
  '#type' => 'select',
  '#title' => t('Choose the site font - The font will be applied to the whole website. 50 fonts.'),
  '#options' => [
    'none' => t('Default - Open Sans - sans-serif'),
    'd8w3css-abel' => t('Abel - sans-serif'),
    'd8w3css-alegreya-sans' => t('Alegreya Sans - sans-serif'),
    'd8w3css-alegreya-sans-sc' => t('Alegreya Sans SC - sans-serif'),
    'd8w3css-amita' => t('Amita - cursive'),
    'd8w3css-archivo-narrow' => t('Archivo Narrow - sans-serif'),
    'd8w3css-arimo' => t('Arimo - sans-serif'),
    'd8w3css-arvo' => t('Arvo - serif'),
    'd8w3css-barlow' => t('Barlow - sans-serif'),
    'd8w3css-barlow-semi-condensed' => t('Barlow Semi Condensed - sans-serif'),
    'd8w3css-bitter' => t('Bitter - serif'),
    'd8w3css-cairo' => t('Cairo - sans-serif'),
    'd8w3css-comfortaa' => t('Comfortaa - cursive'),
    'd8w3css-courgette' => t('Courgette - cursive'),
    'd8w3css-domine' => t('Domine - serif'),
    'd8w3css-dosis' => t('Dosis - sans-serif'),
    'd8w3css-exo-2' => t('EXO 2 - sans-serif'),
    'd8w3css-fira-sans' => t('Fira Sans - sans-serif'),
    'd8w3css-glegoo' => t('Glegoo - serif'),
    'd8w3css-hind-siliguri' => t('Hind Siliguri - sans-serif'),
    'd8w3css-ibm-plex-sans' => t('IBM Plex Sans - sans-serif'),
    'd8w3css-inconsolata' => t('Inconsolata - monospace'),
    'd8w3css-josefin-sans' => t('Josefin Sans  - sans-serif'),
    'd8w3css-kanit' => t('Kanit - sans-serif'),
    'd8w3css-kavivanar' => t('Kavivanar - cursive'),
    'd8w3css-lato' => t('Lato - sans-serif'),
    'd8w3css-libre-baskerville' => t('Libre Baskerville  - serif'),
    'd8w3css-lora' => t('Lora - serif'),
    'd8w3css-merienda' => t('Merienda - cursive'),
    'd8w3css-merriweather' => t('Merriweather  - serif'),
    'd8w3css-montserrat' => t('Montserrat - sans-serif'),
    'd8w3css-mukta' => t('Mukta - sans-serif'),
    'd8w3css-nunito' => t('Nunito - sans-serif'),
    'd8w3css-oranienbaum' => t('Oranienbaum - serif'),
    'd8w3css-oswald' => t('Oswald - sans-serif'),
    'd8w3css-oxygen' => t('Oxygen - sans-serif'),
    'd8w3css-playfair-display' => t('Playfair Display - serif'),
    'd8w3css-poppins' => t('Poppins - sans-serif'),
    'd8w3css-prompt' => t('Prompt - sans-serif'),
    'd8w3css-pt-serif' => t('PT Serif - serif'),
    'd8w3css-quicksand' => t('Quicksand - sans-serif'),
    'd8w3css-raleway' => t('Raleway - sans-serif'),
    'd8w3css-righteous' => t('Righteous - cursive'),
    'd8w3css-roboto' => t('Roboto - sans-serif'),
    'd8w3css-roboto-condensed' => t('Roboto Condensed - sans-serif'),
    'd8w3css-spline-sans' => t('Spline Sans - sans-serif'),
    'd8w3css-source-sans-pro' => t('Source Sans Pro - sans-serif'),
    'd8w3css-titillium-web' => t('Titillium Web - sans-serif'),
    'd8w3css-ubuntu' => t('Ubuntu - sans-serif'),
    'd8w3css-work-sans' => t('Work Sans - sans-serif'),

  ],
  '#default_value' => theme_get_setting('d8w3css_site_gf'),
];

$form['drupal8_w3css_theme_settings']['w3_external_libraries']['d8w3css_site_gfh'] = [
  '#type' => 'select',
  '#title' => t('Choose the heading font - The font will be applied to h1, h2 and h3 only. 25 fonts.'),
  '#options' => [
    'none' => t('None'),
    'd8w3css-abril-fatface' => t('Abril Fatface  - cursive'),
    'd8w3css-aladin' => t('Aladin  - cursive'),
    'd8w3css-anton' => t('Anton  - sans-serif'),
    'd8w3css-archivo-black' => t('Archivo Black - sans-serif'),
    'd8w3css-bebas-neue' => t('Bebas Neue - cursive'),
    'd8w3css-big-shoulders-stencil-display' => t('Big Shoulders Stencil Display - cursive'),
    'd8w3css-big-shoulders-stencil-text' => t('Big Shoulders Stencil Text - cursive'),
    'd8w3css-black-ops-one' => t('Black Ops One - cursive'),
    'd8w3css-bree-serif' => t('Bree Serif - serif'),
    'd8w3css-cinzel' => t('Cinzel - serif'),
    'd8w3css-dancing-script' => t('Dancing Script - cursive'),
    'd8w3css-dm-serif-display' => t('DM Serif Display - serif'),
    'd8w3css-doppio-one' => t('Doppio - sans-serif'),
    'd8w3css-fjalla-one' => t('Fjalla One - sans-serif'),
    'd8w3css-francois-one' => t('Francois - sans-serif'),
    'd8w3css-fredericka-the-great' => t('Fredericka The Great  - cursive'),
    'd8w3css-fredoka-one' => t('Fredoka One - cursive'),
    'd8w3css-hammersmith-one' => t('Hammersmith One - sans-serif'),
    'd8w3css-indie-flower' => t('Indie Flower - cursive'),
    'd8w3css-kalam' => t('Kalam - cursive'),
    'd8w3css-lobster-two' => t('Lobster Two - cursive'),
    'd8w3css-patrick-hand' => t('Patrick Hand - cursive'),
    'd8w3css-prosto-one' => t('Prosto One - cursive'),
    'd8w3css-righteous' => t('Righteous - cursive'),
    'd8w3css-staatliches' => t('Staatliches - cursive'),
    'd8w3css-yanone-kaffeesatz' => t('Yanone Kaffeesatz - sans-serif'),

  ],
  '#default_value' => theme_get_setting('d8w3css_site_gfh'),
];
